apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod # Necessary to generate a certificate with a trusted Root CA
    kubernetes.io/ingress.class: nginx # Necessary to automatically configure the entry point of the cluster
    nginx.ingress.kubernetes.io/client-body-buffer-size: 1M
    nginx.ingress.kubernetes.io/proxy-body-size: 21M
  name: icp-admin-portal
spec:
  rules:
    - host: my-example.com # At least one rule is required, with a host Header.
      http:
        paths:
          - backend:
              service:
                name: icp-admin-portal # The target service name
                port:
                  number: 80 # And the target port as declared inside the service
            path: / # No path routing here, just use the Host Header. You can combine multiple Hosts / pathPrefixes
            pathType: Prefix
  tls: # Here is the sensitive part for TLS certificate generation
    - hosts:
        - my-example.com
      secretName: ingress-icp-admin-portal-tls